public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/selinux-python/
Date: Sun, 30 Jun 2024 00:36:40 +0000 (UTC)	[thread overview]
Message-ID: <1719707685.5429bca875dd5d530f597d7ca5b84fcf1b748d8d.perfinion@gentoo> (raw)

commit:     5429bca875dd5d530f597d7ca5b84fcf1b748d8d
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 29 23:42:40 2024 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 00:34:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5429bca8

sys-apps/selinux-python: update EAPI 7 -> 8

Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/selinux-python/selinux-python-9999.ebuild | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/sys-apps/selinux-python/selinux-python-9999.ebuild b/sys-apps/selinux-python/selinux-python-9999.ebuild
index 79bfb3db2006..f772119ca1ee 100644
--- a/sys-apps/selinux-python/selinux-python-9999.ebuild
+++ b/sys-apps/selinux-python/selinux-python-9999.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI="8"
 PYTHON_COMPAT=( python3_{10..12} )
 PYTHON_REQ_USE="xml(+)"
 
@@ -101,14 +101,17 @@ src_install() {
 	then
 		local selinuxtype=$(awk -F'=' '/^SELINUXTYPE/ {print $2}' /etc/selinux/config);
 		mkdir -p "${D}"/etc/selinux || die "Failed to create selinux directory";
-		echo "SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}" > "${D}"/etc/selinux/sepolgen.conf;
+		echo "SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}" \
+			> "${D}"/etc/selinux/sepolgen.conf || die "Failed to generate sepolgen"
 	else
 		local selinuxtype="${POLICY_TYPES%% *}";
 		if [[ -n "${selinuxtype}" ]];
 		then
-			echo "SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}" > "${D}"/etc/selinux/sepolgen.conf;
+			echo "SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}" \
+				> "${D}"/etc/selinux/sepolgen.conf || die "Failed to generate sepolgen"
 		else
-			echo "SELINUX_DEVEL_PATH=/usr/share/selinux/strict/include:/usr/share/selinux/strict" > "${D}"/etc/selinux/sepolgen.conf;
+			echo "SELINUX_DEVEL_PATH=/usr/share/selinux/strict/include:/usr/share/selinux/strict" \
+				> "${D}"/etc/selinux/sepolgen.conf || die "Failed to generate sepolgen"
 		fi
 	fi
 }


             reply	other threads:[~2024-06-30  0:36 UTC|newest]

Thread overview: 81+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-30  0:36 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-06 16:31 [gentoo-commits] repo/gentoo:master commit in: sys-apps/selinux-python/ Arthur Zamarin
2024-08-12  1:23 Jason Zaman
2024-07-19 19:50 Jakov Smolić
2024-07-19 19:23 James Le Cuirot
2024-07-08 14:22 Kenton Groombridge
2024-06-30  0:49 Jason Zaman
2024-06-06 13:49 Kenton Groombridge
2024-02-09 14:41 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2023-04-15 15:13 Kenton Groombridge
2023-04-09 15:14 Kenton Groombridge
2023-03-30  0:09 Kenton Groombridge
2023-03-30  0:09 Kenton Groombridge
2022-09-07  7:52 Michał Górny
2022-07-18 12:49 Sam James
2022-07-18 12:49 Sam James
2022-07-02 17:03 Kenton Groombridge
2022-06-04  1:03 Kenton Groombridge
2022-06-04  1:03 Kenton Groombridge
2022-06-04  1:03 Kenton Groombridge
2022-04-11  4:59 Jason Zaman
2022-04-11  3:44 Jason Zaman
2021-12-28  1:14 Jason Zaman
2021-11-20 23:21 Sam James
2021-11-20 23:20 Sam James
2021-10-31  2:55 Sam James
2021-07-28 20:08 Sam James
2021-07-19 22:22 Sam James
2021-07-19 22:21 Sam James
2021-07-19 22:21 Sam James
2021-07-04 22:19 Sam James
2021-04-03  4:19 Jason Zaman
2021-04-03  4:19 Jason Zaman
2021-02-07  4:19 Jason Zaman
2021-02-07  4:19 Jason Zaman
2021-01-03  8:20 Jason Zaman
2020-12-18  3:31 Jason Zaman
2020-12-03  3:12 Jason Zaman
2020-10-25 21:29 Jason Zaman
2020-09-15  3:41 Jason Zaman
2020-07-02 13:22 Ben Kohler
2020-02-11 19:50 Agostino Sarubbo
2020-02-11 19:43 Agostino Sarubbo
2019-12-08 18:39 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-02-09 11:49 Jason Zaman
2019-02-09 11:49 Jason Zaman
2018-12-27 11:26 Jason Zaman
2018-06-26  2:07 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-04-27  4:45 Jason Zaman
2018-04-27  4:45 Jason Zaman
2018-04-26 11:22 Jason Zaman
2018-04-26 11:22 Jason Zaman
2018-03-02  6:27 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-06-18 14:34 Sven Vermeulen
2017-06-13 15:20 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-04-20 16:41 David Seifert
2017-02-23 11:22 Jason Zaman
2016-11-20  5:27 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1719707685.5429bca875dd5d530f597d7ca5b84fcf1b748d8d.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox